Summary: File system layout viewer
Name: tree-pkg
Version: 2.0.2
Release: 4%{?dist}
License: GPLv2+ and LGPLv2+
URL: http://mama.indstate.edu/users/ice/tree/
Source0: ftp://mama.indstate.edu/linux/tree/tree-%{version}.tgz

BuildRequires: gcc make

%description
The source RPM package of tree, which has to be renamed due to
limitations of Gitlab.


%package -n tree
Summary: File system layout viewer

%description -n tree
This package provide tree, which recursively displays the contents of directories in a
tree-like format. Tree is basically a UNIX port of the DOS treeutility.

%prep
%autosetup -n tree-%{version}

%build
%make_build CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS"

%install
%make_install DESTDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}

%files -n tree
%license LICENSE
%doc README
%{_bindir}/tree
%{_mandir}/man1/tree.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 08 2022 Yi Lin <nilusyi@tencent.com> - 2.0.2-1
- package init.
